algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Band.Class

Synopsis

- class Multiplicative r => Band r
- pow1pBand :: Whole n => r -> n -> r
- powBand :: (Unital r, Whole n) => r -> n -> r

# Documentation

class Multiplicative r => Band r Source

An multiplicative semigroup with idempotent multiplication.

     a * a = a

Instances

Band Bool |
Band () |
Idempotent r => Band (Exp r) |
Band r => Band (Opposite r) |
(Band a, Band b) => Band (a, b) |
Band (Rect i j) |
(Idempotent r, IdempotentCoalgebra r a) => Band (Covector r a) |
(Band a, Band b, Band c) => Band (a, b, c) |
(Band a, Band b, Band c, Band d) => Band (a, b, c, d) |
(Band a, Band b, Band c, Band d, Band e) => Band (a, b, c, d, e) |

pow1pBand :: Whole n => r -> n -> rSource

powBand :: (Unital r, Whole n) => r -> n -> rSource